Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Enum JaxbInheritanceType

    java.lang.Object
      java.lang.Enum<JaxbInheritanceType>
          org.hibernate.internal.jaxb.mapping.orm.JaxbInheritanceType

All Implemented Interfaces:
  Serializable, Comparable<JaxbInheritanceType>

    public enum JaxbInheritanceType

extends Enum<JaxbInheritanceType>

Java class for inheritance-type.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="inheritance-type">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="SINGLE_TABLE"/>
         <enumeration value="JOINED"/>
         <enumeration value="TABLE_PER_CLASS"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`JOINED`
`SINGLE_TABLE`
`TABLE_PER_CLASS`

Method Summary
`static JaxbInheritanceType` | `fromValue(String v)`
`String` | `value()`
`static JaxbInheritanceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbInheritanceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SINGLE_TABLE

    public static final JaxbInheritanceType SINGLE_TABLE

### JOINED

    public static final JaxbInheritanceType JOINED

### TABLE_PER_CLASS

    public static final JaxbInheritanceType TABLE_PER_CLASS

Method Detail

### values

    public static JaxbInheritanceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbInheritanceType c : JaxbInheritanceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbInheritanceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbInheritanceType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.